pub trait DatabaseDriver {
    fn query(&self, query: &str) -> Result<(), ()>;
}

pub struct Postgres;
pub struct SQLite;


impl DatabaseDriver for Postgres {
    fn query(&self, _query: &str) -> Result<(), ()> {
        Ok(())
    }
}

impl DatabaseDriver for SQLite {
    fn query(&self, _query: &str) -> Result<(), ()> {
        Ok(())
    }
}

